#
# spec file for package ffmpegthumbnailer
#
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


%define soname  4

Name:           ffmpegthumbnailer
Version:        2.0.8
Release:        7.1
License:        GPL-2.0+
Summary:        Lightweight video thumbnailer that can be used by file managers
Url:            http://code.google.com/p/ffmpegthumbnailer/
Group:          Productivity/Graphics/Viewers
Source:         http://ffmpegthumbnailer.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         ffmpegthumbnailer-glibc.patch
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libsndfile-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libavcodec) = 56.60.100
BuildRequires:  pkgconfig(libavformat) = 56.40.101
BuildRequires:  pkgconfig(libavutil) = 54.31.100
BuildRequires:  pkgconfig(libswscale) = 3.1.101
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Lightweight video thumbnailer that can be used by file managers.

This video thumbnailer can be used to create thumbnails for your
video files. The thumbnailer uses ffmpeg to decode frames from the
video files, so supported videoformats depend on the configuration
flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as
possible. The only dependencies are ffmpeg, libpng and libjpeg.

The project also includes a C/C++ library that can be used by
developers to generate thumbnails in their projects.

%package -n lib%{name}%{soname}
Summary:        Shared libraries for ffmpegthumbnailer
Group:          System/Libraries
Provides:       lib%{name}3 = 1.5.6
Obsoletes:      lib%{name}3 < 1.5.6

%description -n lib%{name}%{soname}
Lightweight video thumbnailer that can be used by file managers.

This video thumbnailer can be used to create thumbnails for your
video files. The thumbnailer uses ffmpeg to decode frames from the
video files, so supported videoformats depend on the configuration
flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as
possible. The only dependencies are ffmpeg, libpng and libjpeg.

The project also includes a C/C++ library that can be used by
developers to generate thumbnails in their projects.

%package -n lib%{name}-devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Languages/C and C++
Requires:       libffmpegthumbnailer%{soname} = %{version}

%description -n lib%{name}-devel
Lightweight video thumbnailer that can be used by file managers.

This video thumbnailer can be used to create thumbnails for your
video files. The thumbnailer uses ffmpeg to decode frames from the
video files, so supported videoformats depend on the configuration
flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as
possible. The only dependencies are ffmpeg, libpng and libjpeg.

The project also includes a C/C++ library that can be used by
developers to generate thumbnails in their projects.

%prep
%setup -q
%patch0
chmod 644 AUTHORS README COPYING ChangeLog

%build
export SUSE_ASNEEDED=0
#export FFMPEG_CFLAGS
#export FFMPEG_LIBS
export CPPFLAGS="%{optflags} -D__STDC_CONSTANT_MACROS"
export CXXFLAGS="%{optflags} -D__STDC_CONSTANT_MACROS"
export CFLAGS="%{optflags} -D__STDC_CONSTANT_MACROS"
%configure \
    --enable-gio \
    --enable-thumbnailer
make %{?smp_mflags}

%install
%make_install

rm %{buildroot}%{_libdir}/libffmpegthumbnailer.a
rm %{buildroot}%{_libdir}/libffmpegthumbnailer.la

%clean
%{?buildroot:rm -rf %{buildroot}}

%post -n lib%{name}%{soname} -p /sbin/ldconfig

%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%doc %{_mandir}/man1/*.1%{ext_man}
%{_bindir}/%{name}
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/%{name}.thumbnailer

%files -n lib%{name}%{soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{soname}
%{_libdir}/lib%{name}.so.%{soname}.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_libdir}/lib%{name}.so
%dir %{_includedir}/lib%{name}
%{_includedir}/lib%{name}/*.h
%{_libdir}/pkgconfig/lib%{name}.pc

%changelog
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for ffmpeg BuildRequires
* Thu Nov 20 2014 joerg.lorenzen@ki.tng.de
- enable thumbnailer support (--enable-thumbnailer)
* Sat Nov  2 2013 joerg.lorenzen@ki.tng.de
- added patch to build against new glibc
* Sat Nov 10 2012 i@margueirte.su
- build against ffmpeg new API.
* Sun Oct 28 2012 pascal.bleser@opensuse.org
- update to 2.0.8
* Mon Oct 17 2011 pascal.bleser@opensuse.org
- update to 2.0.7
* Wed Mar  2 2011 pascal.bleser@opensuse.org
- update to 2.0.6:
  * fixes memory leaks
* Mon Dec 13 2010 pascal.bleser@opensuse.org
- update to 2.0.5:
  * replaced deprecate gnome-vfs with gio (--enable-gio)
* Sun Aug 15 2010 toni@links2linux.de
- update to 2.0.4
- Fixed undefined references when compiling with certain LDFLAGS
- Writing to stdout is now supported
- Support for gnome-vfs uris added. New configure flag (--enable-gnome-vfs),
  this puts a runtime dependancy on libgnome-vfs-2.0
* Tue Jul 20 2010 pascal.bleser@opensuse.org
- update to 2.0.2
* Tue Apr 27 2010 toni@links2linux.de
- update to 2.0.1
  * Setting the thumbnail size to 0 will use the original video size (thanks to John Fremlin)
  * Fix for video files containing lots of audio packets before a video packet
  * Fixed libs in pkgconfig file (thanks to magnus.tuominen)
* Sat Jan  9 2010 toni@links2linux.de
- update to 2.0.0
- new SOname ==> libffmpegthumbnailer4
* Fri Dec 25 2009 toni@links2linux.de
- update to 1.5.6
* Tue Sep 22 2009 Manfred.Tremmel@iiv.de
- update to 1.5.5
* Mon Jun 22 2009 toni@links2linux.de
- update to 1.5.4
* Mon Jun 15 2009 toni@links2linux.de
- update to 1.5.3
* Sun May 24 2009 toni@links2linux.de
- update to 1.5.2
- new SO-Name ==> libffmpegthumbnailer3
* Fri May 15 2009 toni@links2linux.de
- initial package 1.5.1
